[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.AllAutoSized

Called from DoAllAutoSize after all bounds have been computed for the control.

## Declaration

Source position: controls.pp line 2181

`protected procedure TWinControl.AllAutoSized; virtual;`

## See also

TCustomForm.AllAutoSized |  | If the form is about to show, calculate its metrics.